| Home | Libraries | People | FAQ | More

### ip::resolver_service

Default service implementation for a resolver.

    template<
        typename InternetProtocol>
    class resolver_service :
      public io_service::service

##### Types

Name | Description
--- | ---
endpoint_type | The endpoint type.
implementation_type | The type of a resolver implementation.
iterator_type | The iterator type.
protocol_type | The protocol type.
query_type | The query type.

##### Member Functions

Name | Description
--- | ---
async_resolve | Asynchronously resolve a query to a list of entries. Asynchronously resolve an endpoint to a list of entries.
cancel | Cancel pending asynchronous operations.
construct | Construct a new resolver implementation.
destroy | Destroy a resolver implementation.
get_io_service | Get the io_service object that owns the service.
resolve | Resolve a query to a list of entries. Resolve an endpoint to a list of entries.
resolver_service | Construct a new resolver service for the specified io_service.

##### Data Members

Name | Description
--- | ---
id | The unique service identifier.

##### Requirements

Header: `boost/asio/ip/resolver_service.hpp`

Convenience header: `boost/asio.hpp`